Bug 101507 - sending a test print creates an extra printed sheet, if *ok* during first print
sending a test print creates an extra printed sheet, if *ok* during first print
Product: Red Hat Linux Beta
Classification: Retired
Component: cups (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-08-01 20:04 EDT by Elton Woo
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-02 12:52:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Elton Woo 2003-08-01 20:04:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
Setting up or editing printer properties, user (as root) selects to do
 a test print. If "ok" is selected in the dialog, the printer aborts
job, and spits out *partially completed* page, then proceeds to print a complete

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run orint configuration manager
2. Do a test print, and _while page is printing_
3. Click on "OK" when dialog appears if it asks if the result
is correct

Actual Results:  Printer ceases printing the page, and ejects it.
Then proceeds to print a *second* complete copy of the requested test page.

Expected Results:  Since job is already in the queue and being processed,
printer should
complete job, *regardless* of response, and then immediately stop.

Additional info:

Printer attached to Atmel 4-port USB hub.
Manufacturer / Model HP Desjket 3420.

(IMVHO, I consider this a bug in view of the wastage of ink.)
Comment 1 Tim Waugh 2003-08-08 10:19:52 EDT
The config tool just calls 'service cups reload' at this point, to set the
LogLevel back to what it was before the test print.

CUPS ought not to restart running jobs in this case.
Comment 2 Tim Waugh 2003-08-08 10:25:10 EDT
Comment 3 Tim Waugh 2003-10-02 12:51:52 EDT
1.1.19-13 has the patch applied.

Note You need to log in before you can comment on or make changes to this bug.